package sircd

import (
	"net"
	"os"
    "log"
)

type clientIRCConnection struct {
	conn net.Conn
    log *log.Logger
}

func (c *clientIRCConnection) Read() *[]byte {
	buf := make([]byte, 1024*1024)
	// Read the incoming connection into the buffer.
	_, err := c.conn.Read(buf)
	if err != nil {
		s.log.Println("Error reading:", err.Error())
	}
    return &buf
}
