package main

import "log"
import "os"
import "sircd"
import "sync"
import "time"

func main() {
    l := log.New(os.Stdout, "", log.Ldate | log.Lmicroseconds | log.Lshortfile)
    l.Println("sircd starting up")
	s := sircd.NewSircd()
    s.SetLogger(l)
	go s.Start()
    for s.Running {
        time.Sleep(1 * time.Second)
    }
}
